libkeymap 2.4.0 Library to manage the Linux keymaps

Macros | Functions
kernel.h File Reference

Functions for loading objects into the kernel. More...

`#include <keymap/context.h>`

Go to the source code of this file.

## Macros
#define | __attribute__(x) /*NOTHING*/

## Functions
int | lk_kernel_keymap (struct lk_ctx *ctx, int console) __attribute__((nonnull(1)))
int | lk_kernel_keys (struct lk_ctx *ctx, int console) __attribute__((nonnull(1)))
int | lk_kernel_funcs (struct lk_ctx *ctx, int console) __attribute__((nonnull(1)))
int | lk_kernel_diacrs (struct lk_ctx *ctx, int console) __attribute__((nonnull(1)))

## Detailed Description

Functions for loading objects into the kernel.

## Macro Definition Documentation

## ◆ __attribute__

#define __attribute__ | ( |  | x | ) | /*NOTHING*/

## Function Documentation

## ◆ lk_kernel_keymap()

int lk_kernel_keymap | ( | struct lk_ctx * | ctx,
|  | int | console
| ) |  |

Loads keymap into the kernel. This is a high-level function that calls lk_kernel_keys, lk_kernel_funcs and lk_kernel_diacrs.

Parameters

  ctx | is a keymap library context.
  console | is open file descriptor.

Returns
  0 on success, -1 on error.

## ◆ lk_kernel_keys()

int lk_kernel_keys | ( | struct lk_ctx * | ctx,
|  | int | console
| ) |  |

Loads keycodes into the kernel.

Parameters

  ctx | is a keymap library context.
  console | is open file descriptor.

Returns
  0 on success, -1 on error.

## ◆ lk_kernel_funcs()

int lk_kernel_funcs | ( | struct lk_ctx * | ctx,
|  | int | console
| ) |  |

Loads function keys into the kernel.

Parameters

  ctx | is a keymap library context.
  console | is open file descriptor.

Returns
  0 on success, -1 on error.

## ◆ lk_kernel_diacrs()

int lk_kernel_diacrs | ( | struct lk_ctx * | ctx,
|  | int | console
| ) |  |

Loads accent table into the kernel.

Parameters

  ctx | is a keymap library context.
  console | is open file descriptor.

Returns
  0 on success, -1 on error.